variable "project_name" {
  description = "project name"
  type        = string
  default     = "nom de projet"
}

variable "project_id" {
  description = "project id"
  type        = string
  default     = "dazzling-alpha-477917-q9"
}

variable "region" {
  description = "region "
  type        = string
  default     = "europe-west9"
}

variable "frontend_cidr" {
  description = "CIDR for frontend subnet"
  type        = string
  default     = "10.0.1.0/24"
}

variable "backend_cidr" {
  description = "CIDR for backend subnet"
  type        = string
  default     = "10.0.2.0/24"
}

variable "database_cidr" {
  description = "CIDR for database subnet"
  type        = string
  default     = "10.0.3.0/24"
}

variable "ssh_source_ranges" {
  description = "ssh"
  type        = string
  default     = "0.0.0.0/0"
}

variable "zone" {
  description = "zone"
  type        = string
  default     = "europe-west9-b"	
}

variable "instance_type" {
  description = "instance_type"
  type        = string
  default     = "e2-small"
}